/*
 * Copyright 2023 - 2025 Gary Talent (gary@drinkingtea.net). All rights reserved.
 */

#include <jasper/world/worldobject.hpp>

namespace jasper::world {

void bgObjSetTerrainType(WorldObject &obj, TerrainType t) noexcept {
	obj.ext1 = static_cast<uint8_t>(t);
}

TerrainType bgObjGetTerrainType(WorldObject &obj) noexcept {
	return static_cast<TerrainType>(obj.ext1);
}

}